import vhs

# -- Project information -----------------------------------------------------

project = "Python VHS"
copyright = "2023, Tamika Nomara"
author = "Tamika Nomara"
release = version = vhs.__version__

# -- General configuration ---------------------------------------------------

extensions = [
    "sphinx.ext.autodoc",
    "sphinx.ext.intersphinx",
    "sphinx.ext.viewcode",
    "sphinx.ext.githubpages",
    "sphinxcontrib.jquery",
]

intersphinx_mapping = {
    "python": ("https://docs.python.org/3/", None),
    "sphinx": ("https://www.sphinx-doc.org/en/master/", None),
}

autodoc_typehints_format = "short"
autodoc_member_order = "bysource"

# -- Options for HTML output -------------------------------------------------

html_theme = "sphinx_rtd_theme"
html_extra_path = ["_extra/robots.txt"]
